# Khaotic Engine Reborn: model_class::VertexType Struct Reference

Loading...
Searching...
No Matches
model_class::VertexType Struct Reference

## Public Attributes

XMFLOAT3 | position
XMFLOAT2 | texture
XMFLOAT3 | normal
XMFLOAT3 | tangent
XMFLOAT3 | binormal

## Detailed Description

Definition at line 154 of file model_class.h.

## Member Data Documentation

## binormal

XMFLOAT3 model_class::VertexType::binormal

Definition at line 160 of file model_class.h.

## normal

XMFLOAT3 model_class::VertexType::normal

Definition at line 158 of file model_class.h.

## position

XMFLOAT3 model_class::VertexType::position

Definition at line 156 of file model_class.h.

## tangent

XMFLOAT3 model_class::VertexType::tangent

Definition at line 159 of file model_class.h.

## texture

XMFLOAT2 model_class::VertexType::texture

Definition at line 157 of file model_class.h.

The documentation for this struct was generated from the following file:

- enginecustom/src/inc/system/model_class.h